<%@ Page Language="C#" %>

<script runat="server">
	protected void DropDownList1_SelectedIndexChanged(object sender, EventArgs e)
	{
		string[] CarArray = new string[4] {"Ford", "Honda", "BMW", "Dodge"};
		string[] AirplaneArray = new string[3] {"Boeing 777", "Boeing 747", "Boeing 737"};
		string[] TrainArray = new string[3] {"Bullet Train", "Amtrack", "Tram"};

		if (DropDownList1.SelectedValue == "Auto") {
			DropDownList2.DataSource = CarArray; }
		else if (DropDownList1.SelectedValue == "Letadlo") {
			DropDownList2.DataSource = AirplaneArray; }
		else {
			DropDownList2.DataSource = TrainArray;
		}

		DropDownList2.DataBind();
		DropDownList2.Visible = true;
	}

	protected void Button1_Click(object sender, EventArgs e)
	{
		Response.Write("Vybrali jste <b>" +
			DropDownList1.SelectedValue.ToString() + ": " +
			DropDownList2.SelectedValue.ToString() + "</b>");
	}
</script>

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
	<title>Strnka DropDownList</title>
</head>
<body>
	<form id="form1" runat="server">
	<div>
		Vyberte typ dopravy:<br />
		<asp:DropDownList ID="DropDownList1" Runat="server"
			OnSelectedIndexChanged="DropDownList1_SelectedIndexChanged"
			AutoPostBack="true">
			<asp:ListItem>Vyberte poloku</asp:ListItem>
			<asp:ListItem>Auto</asp:ListItem>
			<asp:ListItem>Letadlo</asp:ListItem>
			<asp:ListItem>Vlak</asp:ListItem>
		</asp:DropDownList>&nbsp;

		<asp:DropDownList ID="DropDownList2" Runat="server" Visible="false">
		</asp:DropDownList>

		<asp:Button ID="Button1" Runat="server" Text="Vybrat monosti"
			OnClick="Button1_Click" />
	</div>
	</form>
</body>
</html>
