Imports Microsoft.VisualBasic

Public Class Person
    Implements IComparable

    Dim FirstName As String
    Dim LastName As String

    Public Sub New(ByVal First As String, ByVal Last As String)
        FirstName = First
        LastName = Last
    End Sub

    Public ReadOnly Property FullName() As String
        Get
            Return FirstName & " " & LastName
        End Get
    End Property

    Public Function CompareTo(ByVal obj As Object) _
        As Integer Implements IComparable.CompareTo

        If Not TypeOf (obj) Is Person Then
            Throw New ArgumentException("Objekt nen typu Person!")
        End If

        Dim p2 As Person = CType(obj, Person)
        Dim lastNameResult As Integer = Me.LastName.CompareTo(p2.LastName)

        If lastNameResult = 0 Then
            Dim firstNameResult As Integer = Me.FirstName.CompareTo(p2.FirstName)
            Return firstNameResult
        Else
            Return lastNameResult
        End If
    End Function

End Class
