<%@ Page Language="C#" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>
<%@ Import Namespace="System.Configuration" %>

<script runat="server">
	protected void btnBulkCopy_Click(object sender, EventArgs e)
	{
		String ShajarConString;
		String NorthWindConString;
		SqlConnection ShajarCon = new SqlConnection();
		SqlConnection NorthwindCon = new SqlConnection();

		SqlCommand ShajarCom = new SqlCommand();
		SqlDataReader ShajarReader;

		ShajarConString =
	ConfigurationManager.ConnectionStrings["DSN_Shajar"].ConnectionString;
		NorthWindConString =
	ConfigurationManager.ConnectionStrings["DSN_Northwind"].ConnectionString;

		ShajarCon.ConnectionString = ShajarConString;
		ShajarCom.Connection = ShajarCon;
		ShajarCom.CommandText = " SELECT ID, First_Name, Last_Name, " +
			" 'Shajar' as Source FROM MailingList_Temp ";
		ShajarCom.CommandType = CommandType.Text;

		ShajarCom.Connection.Open();

		SqlBulkCopy NorthWindBulkOp;
		NorthWindBulkOp = new SqlBulkCopy(NorthWindConString,
			SqlBulkCopyOptions.UseInternalTransaction);

		NorthWindBulkOp.DestinationTableName = "Employees";

		NorthWindBulkOp.ColumnMappings.Add("Id", "EmployeeID");
		NorthWindBulkOp.ColumnMappings.Add("First_Name", "FirstName");
		NorthWindBulkOp.ColumnMappings.Add("Last_Name", "LastName");

		SqlBulkCopyColumnMapping JobTitleColMap;
		JobTitleColMap = new SqlBulkCopyColumnMapping("Source", "Title");

		NorthWindBulkOp.ColumnMappings.Add(JobTitleColMap);
		NorthWindBulkOp.BulkCopyTimeout = 500000000;

		NorthWindBulkOp.SqlRowsCopied +=
			new SqlRowsCopiedEventHandler(OnRowsCopied);

		NorthWindBulkOp.NotifyAfter = 1000;

		ShajarReader = ShajarCom.ExecuteReader();

		try
		{
			NorthWindBulkOp.WriteToServer(ShajarReader);
		}
		catch (Exception ex)
		{
			lblResult.Text = ex.Message;
		}
		finally
		{
			ShajarReader.Close();
		}
	}

	private void OnRowsCopied(object sender, SqlRowsCopiedEventArgs args)
	{
		lblCounter.Text += args.RowsCopied.ToString() + " dk zkoprovno<br>";
	}
</script>

<html xmlns="http://www.w3.org/1999/xhtml" >
<head id="Head1" runat="server">
	<title>Blokov zavdn velkho objemu dat</title>
</head>
<body>
	<form id="form1" runat="server">
	<div>
		<asp:Button ID="btnBulkCopy" Runat="server" 
			Text="Start Bulk Copy" />&nbsp;
		<br />
		<br />

		<asp:Label ID="lblResult" Runat="server"></asp:Label>
		<br />
		<br />

		<asp:Label ID="lblCounter" Runat="server"></asp:Label>
	</div>
	</form>
</body>
</html>
