<%@ Page Language="VB" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>
<%@ Import Namespace="System.Configuration" %>

<script runat="server">
	' Deklarace pipojen na tomto mst nm umon pracovat
	' s nm ve vech metodch tto tdy
	Dim DBCon As SqlConnection

	Protected Sub Page_Load(ByVal sender As Object, _
		ByVal e As System.EventArgs)

		Dim Command As SqlCommand = New SqlCommand()
		Dim OrdersReader As SqlDataReader

		DBCon = New SqlConnection()
		DBCon.ConnectionString = _
	ConfigurationManager.ConnectionStrings("DSN_Northwind").ConnectionString

		Command.CommandText = _
			" SELECT TOP 5 Customers.CompanyName, Customers.ContactName, " & _
			" Orders.OrderID, Orders.OrderDate, " & _
			" Orders.RequiredDate, Orders.ShippedDate " & _
			" FROM Orders, Customers " & _
			" WHERE Orders.CustomerID = Customers.CustomerID " & _
			" ORDER BY Customers.CompanyName, Customers.ContactName "

		Command.CommandType = CommandType.Text
		Command.Connection = DBCon

		' Oteven pipojen a vykonn dotazu SQL
		DBCon.Open()
		OrdersReader = Command.ExecuteReader()

		' Vzn objektu DataReader na ovldac prvek GridView
		gvOrders.DataSource = OrdersReader
		gvOrders.DataBind()

		' Uzaven pipojen po skonen zpracovn vech zznam
		' objednvek
		DBCon.Close()
	End Sub

	' Tento handler udlost se vol u kadho zznamu vzanho 
	' na ovldac prvek GridView
	Protected Sub gvOrders_RowDataBound(ByVal sender As Object, _
		ByVal e As System.Web.UI.WebControls.GridViewRowEventArgs)

		Dim OrderRecord As IDataRecord
		Dim lblOrderDetail As Label

		' Pevzet aktuln vzanho zznamu z DataReader pomoc
		' rozhran IDataRecord
		OrderRecord = CType(e.Row.DataItem, IDataRecord)

		' Pevzet odkazu na ovldac prvek Label uvnit aktulnho
		' dku prvku GridView. Tento Label bude naplnn Order Details.
		lblOrderDetail = CType(e.Row.FindControl("lblOrderDetail"), Label)

		If OrderRecord Is Nothing Or lblOrderDetail Is Nothing Then
			Return
		End If

		Dim Command As SqlCommand = New SqlCommand()
		Dim OrderDetailReader As SqlDataReader

		' Vytvoen dotazu SQL pejmn podrobnost aktuln
		' zpracovvan objednvky
		Command.CommandText = _
			"SELECT Products.ProductName, [Order Details].UnitPrice, " & _
			" [Order Details].Quantity, [Order Details].Discount " & _
			" FROM [Order Details], Products " & _
			" WHERE [Order Details].ProductID = Products.ProductID " & _
			" AND [Order Details].OrderID = " + _
			Convert.ToString(OrderRecord("OrderID"))

		Command.CommandType = CommandType.Text

		' Opakovan pouit tho objektu pipojen, kter byl
		' pouit k pevzet vech zznam objednvek z tabulky Orders
		Command.Connection = DBCon

		' Vykonn dotazu SQL bez pedn CommandBehavior.CloseConnection
		' jako parametru ExecuteReader. Nechceme, aby se pipojen 
		' automaticky uzavelo, protoe je potebujeme k dalm operacm.
		OrderDetailReader = Command.ExecuteReader()

		While OrderDetailReader.Read()
			' Naplnn ovldacho prvku popisku polem nzvu produktu
			lblOrderDetail.Text += OrderDetailReader(0).ToString() + "<Br>"
		End While
	End Sub
</script>

<html xmlns="http://www.w3.org/1999/xhtml" >
<head id="Head1" runat="server">
	<title>Vce aktivnch vsledkovch mnoin</title>
</head>
<body>
	<form id="form1" runat="server">
	<div>
		<asp:Label ID="lblCounter" Runat="server"></asp:Label>
		<br />
		<asp:GridView ID="gvOrders" Runat="server" AutoGenerateColumns="False"
			OnRowDataBound="gvOrders_RowDataBound" Width="100%">
			<Columns>
				<asp:BoundField HeaderText="Nzev spolenosti"
					DataField="CompanyName"></asp:BoundField>
				<asp:BoundField HeaderText="Jmno kontaktu"
					DataField="ContactName"></asp:BoundField>
				<asp:TemplateField>
					<HeaderTemplate>
						Podrobnosti objednvky
					</HeaderTemplate>
					<ItemTemplate>
						<asp:Label ID="lblOrderDetail" runat="server">
						</asp:Label>
					</ItemTemplate>
				</asp:TemplateField>
				<asp:BoundField HeaderText="Datum objednvky" DataField="orderdate"
					DataFormatString="{0:d}"></asp:BoundField>
				<asp:BoundField HeaderText="Poadovan datum" 
					DataField="requireddate" 
					DataFormatString="{0:d}"></asp:BoundField>
				<asp:BoundField HeaderText="Datum odesln" 
					DataField="shippeddate"
					DataFormatString="{0:d}"></asp:BoundField>
			</Columns>
		</asp:GridView><br />
		<br />
	</div>
	</form>
</body>
</html>
