<%@ Page Language="VB" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>
<%@ Import Namespace="System.Configuration" %>

<script runat="server">
	Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs)
		Dim DBCon As SqlConnection
		Dim OrdersCommand As SqlCommand = New SqlCommand()
		Dim CustCommand As SqlCommand = New SqlCommand()
		Dim OrdersReader As SqlDataReader
		Dim CustReader As SqlDataReader
		Dim OrdersASyncResult As IAsyncResult
		Dim CustAsyncResult As IAsyncResult

		Dim WHandles(1) As System.Threading.WaitHandle
		Dim OrdersWHandle As System.Threading.WaitHandle
		Dim CustWHandle As System.Threading.WaitHandle

		DBCon = New SqlConnection()
		DBCon.ConnectionString = _
	ConfigurationManager.ConnectionStrings("DSN_NorthWind").ConnectionString

		CustCommand.CommandText = _
			" SELECT * FROM Customers WHERE CompanyName = 'Alfreds Futterkiste' "
			CustCommand.CommandType = CommandType.Text
			CustCommand.Connection = DBCon

		' Vbr vech objednvek specifickho zkaznka
		OrdersCommand.CommandText = _
			" SELECT Customers.CompanyName, Customers.ContactName, " & _
			" Orders.OrderID, Orders.OrderDate, " & _
			" Orders.RequiredDate, Orders.ShippedDate " & _
			" FROM Orders, Customers " & _
			" WHERE Orders.CustomerID = Customers.CustomerID " & _
			" AND Customers.CompanyName = 'Alfreds Futterkiste' " & _
			" ORDER BY Customers.CompanyName, Customers.ContactName "

		OrdersCommand.CommandType = CommandType.Text
		OrdersCommand.Connection = DBCon

		DBCon.Open()

		' Asynchronn pevzet daj o zkaznkovi
		CustAsyncResult = CustCommand.BeginExecuteReader()

		' Asynchronn pevzet seznamu objednvek
		OrdersASyncResult = OrdersCommand.BeginExecuteReader()

		CustWHandle = CustAsyncResult.AsyncWaitHandle
		OrdersWHandle = OrdersASyncResult.AsyncWaitHandle

		' Naplnn pole ekacch manipultor tmi dvma
		' manipultory, kter budeme v kdu pouvat
		WHandles(0) = CustWHandle
		WHandles(1) = OrdersWHandle

		System.Threading.WaitHandle.WaitAll(WHandles)

		CustReader = CustCommand.EndExecuteReader(CustAsyncResult)

		OrdersReader = OrdersCommand.EndExecuteReader(OrdersASyncResult)

		gvCustomers.DataSource = CustReader
		gvCustomers.DataBind()

		gvOrders.DataSource = OrdersReader
		gvOrders.DataBind()

		DBCon.Close()
	End Sub
</script>

<html xmlns="http://www.w3.org/1999/xhtml" >
<head id="Head1" runat="server">
	<title>Pstup ekn na ve</title>
</head>
<body>
	<form id="form1" runat="server">
	<div>
		<asp:GridView ID="gvCustomers" Width="100%" Runat="server">
		</asp:GridView>
		<br /><br />
		<asp:GridView ID="gvOrders" Width="100%" AutoGenerateColumns="False"
			Runat="server">
			<Columns>
				<asp:BoundField HeaderText="Nzev spolenosti"
					DataField="CompanyName"></asp:BoundField>
				<asp:BoundField HeaderText="Jmno kontaktu"
					DataField="ContactName"></asp:BoundField>
				<asp:BoundField HeaderText="Datum objednvky"
					DataField="orderdate" DataFormatString="{0:d}">
				</asp:BoundField>
				<asp:BoundField HeaderText="Poadovan datum" 
					DataField="requireddate" DataFormatString="{0:d}">
				</asp:BoundField>
				<asp:BoundField HeaderText="Datum odesln" 
					DataField="shippeddate" DataFormatString="{0:d}">
				</asp:BoundField>
			</Columns>
		</asp:GridView>
	</div>
	</form>
</body>
</html>
