<%@ Page Language="VB" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>
<%@ Import Namespace="System.Configuration" %>

<script runat="server">
	Private Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs)
		Dim DBCon As SqlConnection
		Dim Command As SqlCommand = New SqlCommand()
		Dim ASyncResult As SqlAsyncResult

		DBCon = New SqlConnection()
		Command = New SqlCommand()
		DBCon.ConnectionString = _
	ConfigurationManager.ConnectionStrings("DSN_NorthWind").ConnectionString

		' Vbr prvnch pti zznam z tabulky Orders
		Command.CommandText = _
			"SELECT TOP 5 Customers.CompanyName, Customers.ContactName, " & _
			" Orders.OrderID, Orders.OrderDate, " & _
			" Orders.RequiredDate, Orders.ShippedDate " & _
			" FROM Orders, Customers " & _
			" WHERE Orders.CustomerID = Customers.CustomerID " & _
			" ORDER BY Customers.CompanyName, Customers.ContactName "

		Command.CommandType = CommandType.Text
		Command.Connection = DBCon

		DBCon.Open()

		' Sputn asynchronnho zpracovn
		AsyncResult = Command.BeginExecuteReader(New _
			AsyncCallback(AddressOf CBMethod), CommandBehavior.CloseConnection)
	End Sub

	Public Sub CBMethod(ByVal ar As SQLAsyncResult)
		Dim OrdersReader As SqlDataReader

		' Pevzet vsledku od asynchronnho procesu
		OrdersReader = ar.EndExecuteReader(ar)

		' Zobrazen vsledku na obrazovce
		gvOrders.DataSource = OrdersReader

		gvOrders.DataBind()
	End Sub
</script>

<html xmlns="http://www.w3.org/1999/xhtml" >
<head id="Head1" runat="server">
	<title>Vyuit zptnho voln</title>
</head>
<body>
	<form id="form1" runat="server">
	<div>
		<asp:GridView ID="gvOrders" Width="100%" AutoGenerateColumns="False"
			Runat="server">
			<Columns>
				<asp:BoundField HeaderText="Nzev spolenosti"
					DataField="CompanyName"></asp:BoundField>
				<asp:BoundField HeaderText="Jmno kontaktu"
					DataField="ContactName"></asp:BoundField>
				<asp:BoundField HeaderText="Datum objednvky"
					DataField="orderdate" DataFormatString="{0:d}">
				</asp:BoundField>
				<asp:BoundField HeaderText="Poadovan datum" 
					DataField="requireddate" DataFormatString="{0:d}">
				</asp:BoundField>
				<asp:BoundField HeaderText="Datum odesln" 
					DataField="shippeddate" DataFormatString="{0:d}">
				</asp:BoundField>
			</Columns>
		</asp:GridView>
	</div>
	</form>
</body>
</html>
