<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<%@ Page Language="C#" %>
<%@ Import Namespace="System.IO" %>
<%@ Import Namespace="System.Xml" %>
<%@ Import Namespace="System.Xml.Schema" %>

<script runat="server">
protected void Page_Load(object sender, EventArgs e)
{
	int bookcount = 0;
	XmlReaderSettings settings = new XmlReaderSettings();
	NameTable nt = new NameTable();
	object book = nt.Add("book");

	settings.NameTable = nt;
	string booksSchemaFile = Path.Combine(Request.PhysicalApplicationPath,
		"books.xsd");

	settings.Schemas.Add(null, XmlReader.Create(booksSchemaFile));
	settings.ValidationType = ValidationType.Schema;
	settings.ValidationFlags =
		XmlSchemaValidationFlags.ReportValidationWarnings;

	settings.ValidationEventHandler +=
		new ValidationEventHandler(settings_ValidationEventHandler);

	settings.IgnoreWhitespace = true;
	settings.IgnoreComments = true;

	string booksFile = Path.Combine(Request.PhysicalApplicationPath, 
		"books.xml");
	using (XmlReader reader = XmlReader.Create(booksFile, settings))
	{
		while (reader.Read())
		{
			if (reader.NodeType == XmlNodeType.Element &&
				book.Equals(reader.LocalName)) 
				// Drobn, ale zsadn zmna!
			{
				bookcount++;
			}
		}
	}
	Response.Write(String.Format("Nalezeny {0} knihy!", bookcount));
}

void settings_ValidationEventHandler(object sender,
	System.Xml.Schema.ValidationEventArgs e)
{
	Response.Write(e.Message);
}
</script>

<html xmlns="http://www.w3.org/1999/xhtml" >
<head id="Head1" runat="server">
    <title>Bez nzvu</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
    
    </div>
    </form>
</body>
</html>
