<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<%@ Page Language="VB" %>
<%@ Import Namespace="System.IO" %>
<%@ Import Namespace="System.Xml" %>
<%@ Import Namespace="System.Xml.Schema" %>

<script runat="server">
Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) _
	Handles Me.Load

	Dim bookcount As Integer = 0
	Dim settings As New XmlReaderSettings()
	Dim nt As New NameTable()
	Dim book As Object = nt.Add("book")

	settings.NameTable = nt
	Dim booksSchemaFile As String = _
		Path.Combine(Request.PhysicalApplicationPath, "books.xsd")
	settings.Schemas.Add(Nothing, XmlReader.Create(booksSchemaFile))
	settings.ValidationType = ValidationType.Schema
	settings.ValidationFlags = _
		XmlSchemaValidationFlags.ReportValidationWarnings

	AddHandler settings.ValidationEventHandler, _
		AddressOf settings_ValidationEventHandler

	settings.IgnoreWhitespace = True
	settings.IgnoreComments = True

	Dim booksFile As String = _
		Path.Combine(Request.PhysicalApplicationPath, "books.xml")
	Using reader As XmlReader = XmlReader.Create(booksFile, settings)
		While (reader.Read())
			If (reader.NodeType = XmlNodeType.Element _
				And book.Equals(reader.LocalName)) Then
				' Drobn, ale zsadn zmna!
				bookcount += 1
			End If
		End While
	End Using
	Response.Write(String.Format("Nalezeny {0} knihy!", bookcount))
End Sub

void settings_ValidationEventHandler(object sender,
	System.Xml.Schema.ValidationEventArgs e)
{
	Response.Write(e.Message);
}

Sub settings_ValidationEventHandler(ByVal sender As Object, _
	ByVal e As System.Xml.Schema.ValidationEventArgs)
	Response.Write(e.Message)
End Sub
</script>

<html xmlns="http://www.w3.org/1999/xhtml" >
<head id="Head1" runat="server">
    <title>Bez nzvu</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
    
    </div>
    </form>
</body>
</html>
