using System;
using System.Web;

public class SmartSessionPage : System.Web.UI.Page
{
    private const string MYKEY = "mykey";
    public string MyKey
    {
        get
        {
            return (string)Session[MYKEY];
        }
        set
        {
            Session[MYKEY] = value;
        }
    }

	private const string MYPERSON = "myperson";

	public Person MyPerson
	{
		get
		{
			return (Person)Session[MYPERSON];
		}
		set
		{
			Session[MYPERSON] = value;
		}
	}

}

[Serializable]
public class Person
{
	public string firstName;
	public string lastName;

	public override string ToString()
	{
		return String.Format("Objekt Person: {0} {1}", firstName, lastName);
	}
}
