using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace WebControlLibrary1
{
    [DefaultProperty("Text")]
    [ToolboxData("<{0}:WebCustomControl5 
        runat=server></{0}:WebCustomControl5>")]
    public class WebCustomControl5 : WebControl
    {
        string s;

        protected override void OnInit(EventArgs e)
        {
            Page.RequiresControlState(this);
            base.OnInit(e);
        }

        protected override void LoadControlState(object savedState)
        {
            s = (string)savedState;
        }

        protected override object SaveControlState()
        {
            return (object)"FOO";
        }

        protected override void Render(HtmlTextWriter output)
        {
            output.Write("Stav prvku: " + s);
        }
    }
}
