<%@ Page Language="C#" %>

<script runat="server">
    protected void Calculate_Click(object sender, System.EventArgs e)
    {
        DivideComponent.DivideClass myDivide = new DivideComponent.DivideClass();

        double txtNumerator;
        double txtDenominator;

        try
        {
            txtNumerator = System.Convert.ToDouble(Numerator.Text.ToString());
            txtDenominator = 
                System.Convert.ToDouble(Denominator.Text.ToString());

            Answer.Text = myDivide.DivideNumber(
                ref txtNumerator,
                ref txtDenominator).ToString();
        }
        catch (Exception ex)
        {
            Answer.Text = ex.Message.ToString();
        }

        System.Runtime.InteropServices.Marshal.ReleaseComObject(myDivide);
    }
</script>

<html xmlns="http://www.w3.org/1999/xhtml" >
<body>
    <form id="form1" runat="server">
        <P>
            <asp:Label ID="Label1" runat="server">Dlenec:</asp:Label>
            &nbsp;
            <asp:TextBox ID="Numerator" runat="server"></asp:TextBox>
        </P>
        <P>
            <asp:Label ID="Label2" runat="server">Dlitel:</asp:Label>
            &nbsp;
            <asp:TextBox ID="Denominator" runat="server"></asp:TextBox>
        </P>
        <P>
            <asp:Label ID="Label3" runat="server">
                Dlenec vydlen dlitelem:</asp:Label>
            &nbsp;
            <asp:Label ID="Answer" runat="server" Font-Bold="True">0</asp:Label>
        </P>
        <P>
            <asp:Button ID="Calculate"
                runat="server"
                OnClick="Calculate_Click"
                Text="Calculate">
            </asp:Button>
        </P>
    </form>
</body>
</html>
