using System;
using System.Collections;
using System.ComponentModel;
using System.Configuration;
using System.Data;
using System.Data.SqlClient;
using System.Drawing;
using System.Web;
using System.Web.Mobile;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.MobileControls;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;

public partial class OrdersList :
    System.Web.UI.MobileControls.MobileUserControl
{
    protected void cmdGetCustomer_Click(object sender, EventArgs e)
    {
        SqlConnection MyConnection;
        SqlCommand MyCommand;
        SqlParameter CustIDParam;
        SqlDataReader MyReader;

        MyConnection = new SqlConnection();
        MyConnection.ConnectionString =
    ConfigurationManager.ConnectionStrings["DSN_Northwind"].ConnectionString;

        MyCommand = new SqlCommand();
        MyCommand.CommandText = "SELECT * FROM ORDERS WHERE CustomerID = @CustID";
        MyCommand.CommandType = CommandType.Text;
        MyCommand.Connection = MyConnection;

        CustIDParam = new SqlParameter();
        CustIDParam.ParameterName = "@CustID";
        CustIDParam.SqlDbType = SqlDbType.NChar;
        CustIDParam.Size = 5;
        CustIDParam.Direction = ParameterDirection.Input;
        CustIDParam.Value = txtCustID.Text;

        MyCommand.Parameters.Add(CustIDParam);
        MyCommand.Connection.Open();

        MyReader = MyCommand.ExecuteReader(CommandBehavior.CloseConnection);

        OLOrders.DataSource = MyReader;
        OLOrders.DataBind();

        MyCommand.Dispose();
        MyConnection.Dispose();
    }
}
