<html>
<head id="Head1" runat="server">
	<title>Ovldac prvky GridView a DetailsView</title>
</head>
<body>
	<form id="form1" runat="server">
		<p>
			<asp:GridView ID="GridView1" runat="server"
				DataSourceId="SqlDataSource1" AllowPaging="True"
				BorderColor="#DEBA84" BorderStyle="None" BorderWidth="1px"
				BackColor="#DEBA84" CellSpacing="2" CellPadding="3"
				DataKeyNames="CustomerID" AutoGenerateSelectButton="True"
				AutoGenerateColumns="False" PageSize="5">
				<FooterStyle ForeColor="#8C4510"
					BackColor="#F7DFB5"></FooterStyle>
				<PagerStyle ForeColor="#8C4510"
					HorizontalAlign="Center"></PagerStyle>
				<HeaderStyle ForeColor="White" BackColor="#A55129"
					Font-Bold="True"></HeaderStyle>
				<Columns>
					<asp:BoundField ReadOnly="True" HeaderText="CustomerID"
						DataField="CustomerID" SortExpression="CustomerID">
					</asp:BoundField>
					<asp:BoundField HeaderText="CompanyName"
						DataField="CompanyName" SortExpression="CompanyName">
					</asp:BoundField>
					<asp:BoundField HeaderText="ContactName"
						DataField="ContactName" SortExpression="ContactName">
					</asp:BoundField>
					<asp:BoundField HeaderText="ContactTitle"
						DataField="ContactTitle" SortExpression="ContactTitle">
					</asp:BoundField>
					<asp:BoundField HeaderText="Address" DataField="Address"
						SortExpression="Address"></asp:BoundField>
					<asp:BoundField HeaderText="City" DataField="City"
						SortExpression="City"></asp:BoundField>
					<asp:BoundField HeaderText="Region" DataField="Region"
						SortExpression="Region"></asp:BoundField>
					<asp:BoundField HeaderText="PostalCode" 
						DataField="PostalCode" SortExpression="PostalCode">
					</asp:BoundField>
					<asp:BoundField HeaderText="Country" DataField="Country"
						SortExpression="Country"></asp:BoundField>
					<asp:BoundField HeaderText="Phone" DataField="Phone"
						SortExpression="Phone"></asp:BoundField>
					<asp:BoundField HeaderText="Fax" DataField="Fax"
						SortExpression="Fax"></asp:BoundField>
				</Columns>
				<SelectedRowStyle ForeColor="White" BackColor="#738A9C"
					Font-Bold="True"></SelectedRowStyle>
				<RowStyle ForeColor="#8C4510" BackColor="#FFF7E7"></RowStyle>
			</asp:GridView>
		</p>
		<p><b>Podrobnosti o zkaznkovi:</b></p>
		<asp:DetailsView ID="DetailsView1" runat="server"
			DataSourceId="SqlDataSource2"
			BorderColor="#DEBA84" BorderStyle="None" BorderWidth="1px"
			BackColor="#DEBA84" CellSpacing="2" CellPadding="3"
			AutoGenerateRows="False" DataKeyNames="CustomerID">
			<FooterStyle ForeColor="#8C4510" BackColor="#F7DFB5"></FooterStyle>
			<RowStyle ForeColor="#8C4510" BackColor="#FFF7E7"></RowStyle>
			<PagerStyle ForeColor="#8C4510" HorizontalAlign="Center">
			</PagerStyle>
			<Fields>
				<asp:BoundField ReadOnly="True" HeaderText="CustomerID"
					DataField="CustomerID" SortExpression="CustomerID">
				</asp:BoundField>
				<asp:BoundField HeaderText="CompanyName" DataField="CompanyName"
					SortExpression="CompanyName"></asp:BoundField>
				<asp:BoundField HeaderText="ContactName" DataField="ContactName"
					SortExpression="ContactName"></asp:BoundField>
				<asp:BoundField HeaderText="ContactTitle" 
					DataField="ContactTitle" SortExpression="ContactTitle">
				</asp:BoundField>
				<asp:BoundField HeaderText="Address" DataField="Address"
					SortExpression="Address"></asp:BoundField>
				<asp:BoundField HeaderText="City" DataField="City"
					SortExpression="City"></asp:BoundField>
				<asp:BoundField HeaderText="Region" DataField="Region"
					SortExpression="Region"></asp:BoundField>
				<asp:BoundField HeaderText="PostalCode" DataField="PostalCode"
					SortExpression="PostalCode"></asp:BoundField>
				<asp:BoundField HeaderText="Country" DataField="Country"
					SortExpression="Country"></asp:BoundField>
				<asp:BoundField HeaderText="Phone" DataField="Phone"
					SortExpression="Phone"></asp:BoundField>
				<asp:BoundField HeaderText="Fax" DataField="Fax"
					SortExpression="Fax"></asp:BoundField>
			</Fields>
			<HeaderStyle ForeColor="White" BackColor="#A55129"
				Font-Bold="True"></HeaderStyle>
			<EditRowStyle ForeColor="White" BackColor="#738A9C"
				Font-Bold="True"></EditRowStyle>
		</asp:DetailsView>
		<asp:SqlDataSource ID="SqlDataSource1" runat="server"
			SelectCommand="SELECT * FROM [Customers]"
			ConnectionString="<%$ ConnectionStrings:AppConnectionString1 %>" />
		<asp:SqlDataSource ID="SqlDataSource2" runat="server"
			SelectCommand="SELECT * FROM [Customers]"
			FilterExpression="CustomerID='{0}'"
			ConnectionString="<%$ ConnectionStrings:AppConnectionString1 %>">
			<FilterParameters>
				<asp:ControlParameter Name="CustomerID" ControlId="GridView1"
					PropertyName="SelectedValue"></asp:ControlParameter>
			</FilterParameters>
		</asp:SqlDataSource>
	</form>
</body>
</html>
