<%@ Page Language="VB" %>
<%@ Import Namespace="System.Data" %>
<%@ Import Namespace="System.Data.SqlClient" %>
<%@ Import Namespace="System.Configuration" %>

<script runat="server">
	Sub btnBulkCopy_Click(ByVal sender As Object, _
		ByVal e As System.EventArgs) Handles btnBulkCopy.Click

		Dim ShajarConString As String
		Dim NorthWindConString As String
		Dim ShajarCon As SqlConnection = New SqlConnection()
		Dim NorthwindCon As SqlConnection = New SqlConnection()

		Dim ShajarCom As SqlCommand = New SqlCommand()
		Dim ShajarReader As SqlDataReader

		ShajarConString = _
	ConfigurationManager.ConnectionStrings("DSN_Shajar").ConnectionString
		NorthWindConString = _
	ConfigurationManager.ConnectionStrings("DSN_Northwind").ConnectionString

		ShajarCon.ConnectionString = ShajarConString
		ShajarCom.Connection = ShajarCon
		ShajarCom.CommandText = " SELECT ID, First_Name, Last_Name, " & _
		                        " 'Shajar' as Source FROM MailingList_Temp "
		ShajarCom.CommandType = CommandType.Text

		ShajarCom.Connection.Open()

		Dim NorthWindBulkOp As SqlBulkCopy
		NorthWindBulkOp = New SqlBulkCopy(NorthWindConString, _
			SqlBulkCopyOptions.UseInternalTransaction)

		NorthWindBulkOp.DestinationTableName = "Employees"
		NorthWindBulkOp.ColumnMappings.Add("Id", "EmployeeID")
		NorthWindBulkOp.ColumnMappings.Add("First_Name", "FirstName")
		NorthWindBulkOp.ColumnMappings.Add("Last_Name", "LastName")

		Dim JobTitleColMap As SqlBulkCopyColumnMapping
		JobTitleColMap = New SqlBulkCopyColumnMapping("Source", "Title")

		NorthWindBulkOp.ColumnMappings.Add(JobTitleColMap)
		NorthWindBulkOp.BulkCopyTimeout = 500000000

		AddHandler NorthWindBulkOp.SqlRowsCopied, _
			New SqlRowsCopiedEventHandler(AddressOf OnSqlRowsCopied)

		NorthWindBulkOp.NotifyAfter = 1000

		ShajarReader = ShajarCom.ExecuteReader()

		Try
			NorthWindBulkOp.WriteToServer(ShajarReader)
		Catch ex As Exception
			' Sem pat kd zachycen chyby
			lblResult.Text = ex.Message
		Finally
			ShajarReader.Close()
		End Try
	End Sub

	Private Sub OnSqlRowsCopied(ByVal sender As Object, _
		ByVal args As SqlRowsCopiedEventArgs)

		lblCounter.Text += args.RowsCopied.ToString() + " dk zkoprovno<br>"
	End Sub
</script>

<html xmlns="http://www.w3.org/1999/xhtml" >
<head id="Head1" runat="server">
	<title>Blokov zavdn velkho objemu dat</title>
</head>
<body>
	<form id="form1" runat="server">
	<div>
		<asp:Button ID="btnBulkCopy" Runat="server" 
			Text="Start Bulk Copy" />&nbsp;
		<br />
		<br />

		<asp:Label ID="lblResult" Runat="server"></asp:Label>
		<br />
		<br />

		<asp:Label ID="lblCounter" Runat="server"></asp:Label>
	</div>
	</form>
</body>
</html>
