<%@ Page Language="VB"%>
<%@ Register Src="Address.ascx" TagName="Address" TagPrefix="uc1" %>

<script runat="server">
    Protected Sub DropDownList1_SelectedIndexChanged(ByVal sender As Object, _
        ByVal e As System.EventArgs)

        Dim wpDisplayMode As WebParts.WebPartDisplayMode = _
    Webpartmanager1.SupportedDisplayModes(DropDownList1.SelectedValue.ToString())
        Webpartmanager1.DisplayMode = wpDisplayMode
    End Sub

    
    Protected Sub Page_Init(ByVal sender As Object, ByVal e As System.EventArgs)
        For Each wpMode As WebPartDisplayMode In _
            Webpartmanager1.SupportedDisplayModes

            Dim modeName As String = wpMode.Name
            Dim dd_ListItem As ListItem = New ListItem(modeName, modeName)
            DropDownList1.Items.Add(dd_ListItem)
        Next

        If Webpartmanager1.Personalization.Scope = PersonalizationScope.User _
            AndAlso Webpartmanager1.Personalization.CanEnterSharedScope Then

            Webpartmanager1.Personalization.ToggleScope()
        End If
    End Sub
</script>

<html xmlns="http://www.w3.org/1999/xhtml" >
<head id="Head1" runat="server">
    <title>Pklad webovch st</title>
</head>
<body>
    <form id="form1" runat="server">
        <asp:WebPartManager ID="Webpartmanager1" Runat="server">
        </asp:WebPartManager>
        <table cellpadding="5" border="1">
            <tr>
                <td colspan="2">
                    <h1>Webov strnka Billa Evjena</h1>
                    <asp:WebPartZone ID="WebPartZone1" Runat="server"
                        LayoutOrientation="Horizontal">
                        <ZoneTemplate>
                            <asp:Label ID="Label1" Runat="server" Text="Label" 
                                Title="Vtejte na m strnce!">
                                Vtejte na strnce!
                            </asp:Label>
                        </ZoneTemplate>
                    </asp:WebPartZone>
                </td>
                <td valign="top">
                    Vyberte reim:
                    <asp:DropDownList ID="DropDownList1" runat="server"
                     AutoPostBack="True"
                     OnSelectedIndexChanged="DropDownList1_SelectedIndexChanged">
                    </asp:DropDownList>
                </td>
            </tr>
            <tr valign="top">
                <td>
                    <asp:WebPartZone ID="WebPartZone2" Runat="server">
                        <ZoneTemplate>
                            <asp:Image ID="Image1" Runat="server"
                                ImageUrl="~/Images/Kids.jpg" Width="150px"
                                Title="M dti">
                            </asp:Image>
                            <uc1:Address ID="Address1" runat="server"
                                Title="Adresa">
                            </uc1:Address>
                        </ZoneTemplate>
                    </asp:WebPartZone>
                </td>
                <td>
                    <asp:WebPartZone ID="WebPartZone3" Runat="server">
                        <ZoneTemplate>
                            <asp:Calendar ID="Calendar1" Runat="server"
                                Title="Kalend">
                            </asp:Calendar>
                        </ZoneTemplate>
                    </asp:WebPartZone>
                </td>
                <td>
                    <asp:CatalogZone ID="Catalogzone1" runat="server">
                        <ZoneTemplate>
                            <asp:PageCatalogPart ID="Pagecatalogpart1" runat="server" />
                        </ZoneTemplate>
                    </asp:CatalogZone>
                    <asp:EditorZone ID="Editorzone1" runat="server">
                        <ZoneTemplate>
                          <asp:AppearanceEditorPart ID="Appearanceeditorpart1" runat="server" />
                          <asp:BehaviorEditorPart ID="Behavioreditorpart1" runat="server" />
                          <asp:LayoutEditorPart ID="Layouteditorpart1" runat="server" />
                          <asp:PropertyGridEditorPart ID="PropertyGridEditorPart1" runat="server" />
                        </ZoneTemplate>
                      </asp:EditorZone>
                </td>
            </tr>
        </table>
    </form>
</body>
</html>
