﻿<%@ Page Language="C#" ValidateRequest="false" %>

<html>
<head runat="server">
	<title>Příklad vlastní závislosti mezipaměti</title>
</head>
<body>
	<form runat="server"> Adresa URL dokumentu RSS:
		<asp:TextBox ID="TextBox1" Runat="server"/>
		<asp:Button ID="Button1" onclick="Button1_Click" Runat="server"
			Text="Převzít RSS" />
		Kešováno:<asp:Label ID="Label2" Runat="server"></asp:Label><br />
		RSS:<br />
		<asp:TextBox ID="TextBox2" Runat="server" TextMode="MultiLine"
			Width="800px" Height="300px"></asp:TextBox>
	</form>
</body>
</html>

<script runat="server">
	void Button1_Click(object sender, System.EventArgs e)
	{
		string RSSUrl = TextBox1.Text;
		Label2.Text = "Zavedeno z mezipaměti";
		if (Cache[TextBox1.Text] == null)
		{
			Label2.Text = "Čerstvě zavedeno";
			RssCacheDependency itDepends = new RssCacheDependency(RSSUrl, 600);
			Cache.Insert(RSSUrl, itDepends.Document, itDepends);
		}
		TextBox2.Text = ((System.Xml.XmlDocument)Cache[TextBox1.Text]).OuterXml;
	}
</script>
