<%@ Page Language="VB" %>
<%@ Import Namespace="System.IO" %>
<%@ Import Namespace="System.Security.AccessControl" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<script runat="server">
	Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs)
		' Pevzt daje o zen pstupu k tomuto souboru
        Dim sec As System.Security.AccessControl.FileSecurity = _
            System.IO.File.GetAccessControl(Server.MapPath("TextFile.txt"))
        
        Me.Label1.Text = _
                 sec.GetOwner(System.Type.GetType( _
                 "System.Security.Principal.NTAccount")).Value

		' Pevzt kolekci pravidel pstupu
        Dim auth As AuthorizationRuleCollection = _
            sec.GetAccessRules(True, True, _
            System.Type.GetType("System.Security.Principal.NTAccount"))

		Dim tc As TableCell
		' Prochzet cyklem kolekc pravidel a pidvat dky do tabulky
        For Each r As FileSystemAccessRule In auth
            Dim tr As New TableRow()

            tc = New TableCell()
            tc.Text = r.AccessControlType.ToString() ' odept nebo umonit
            tr.Cells.Add(tc)

            tc = New TableCell()
            tc.Text = r.IdentityReference.Value ' kdo
            tr.Cells.Add(tc)

            tc = New TableCell()
            tc.Text = r.InheritanceFlags.ToString()
            tr.Cells.Add(tc)

            tc = New TableCell()
            tc.Text = r.IsInherited.ToString()
            tr.Cells.Add(tc)

            tc = New TableCell()
            tc.Text = r.PropagationFlags.ToString()
            tr.Cells.Add(tc)

            tc = New TableCell()
            tc.Text = r.FileSystemRights.ToString()
            tr.Cells.Add(tc)

            Table1.Rows.Add(tr)
        Next
	End Sub
</script>

<html xmlns="http://www.w3.org/1999/xhtml" >
<head id="Head1" runat="server">
	<title>Zobrazen daj seznamu ACL</title>
</head>
<body>
	<form id="form1" runat="server">
	<div>
		<p><b>Vlastnk souboru:</b>
			<asp:Label ID="Label1" runat="server" Text="Label" /></p>
		<p>
		Pravidla pstupu:<br />
		<asp:Table ID="Table1" runat="server" CellPadding="2" GridLines=Both>
			<asp:TableRow>
				<asp:TableHeaderCell>Typ zen</asp:TableHeaderCell>
				<asp:TableHeaderCell>Identita</asp:TableHeaderCell>
				<asp:TableHeaderCell>Pznaky ddinosti</asp:TableHeaderCell>
				<asp:TableHeaderCell>Je ddn</asp:TableHeaderCell>
				<asp:TableHeaderCell>Pznaky postupovn</asp:TableHeaderCell>
				<asp:TableHeaderCell>Oprvnn systmu soubor
					</asp:TableHeaderCell>
			</asp:TableRow>
		</asp:Table>
		</p>
	</div>
	</form>
</body>
</html>
