public class TestControlDesigner : ControlDesigner
{
    public override DesignerActionListCollection ActionLists
    {
        get
        {
            DesignerActionListCollection actionLists =
                new DesignerActionListCollection();
            actionLists.AddRange(base.ActionLists);
            actionLists.Add(new TestControlList(this));
            return actionLists;
        }
    }

    private sealed class TestControlList : DesignerActionList
    {
        public TestControlList(TestControlDesigner c)
            : base(c.Component)
        {
        }

        public override DesignerActionItemCollection GetSortedActionItems()
        {
            DesignerActionItemCollection c = new DesignerActionItemCollection();
            c.Add(new DesignerActionTextItem("FOO", "FOO"));
            return c;
        }
    }
}
